/* $Id: StringSource.java 1649794 2015-01-06 12:35:37Z kwright $ */

/**
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements. See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.apache.manifoldcf.agents.transformation.forcedmetadata;

import org.apache.manifoldcf.core.interfaces.*;
import org.apache.manifoldcf.agents.interfaces.*;

import java.io.*;
import java.util.*;

public class StringSource implements IDataSource {
  protected final String[] data;
    
  public StringSource(String data) {
    this.data = new String[]{data};
  }
    
  public StringSource(String[] data) {
    this.data = data;
  }
    
  @Override
  public int getSize() {
    return data.length;
  }
    
  @Override
  public Object[] getRawForm() {
    return data;
  }
    
  @Override
  public String[] getStringForm() {
    return data;
  }
}
